function love.load()
  plasLine = love.graphics.newShader[[
  uniform vec2 iResolution;
  uniform float iTime;

  float random( vec2 p ) {
    vec2 K1 = vec2(
        23.14069263277926, // e^pi (Gelfond's constant)
         2.665144142690225 // 2^sqrt(2) (Gelfondâ€“Schneider constant)
    );
    return fract( cos( dot(p,K1) ) * 12345.6789 );
  }

  vec4 effect( vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords ){
    vec2 uv = screen_coords.xy / iResolution.xy;

    vec2 p = uv*2.0 - 1.0;
    p *= 15.0;
        vec2 limit = vec2(1., 7.);
    vec2 sfunc = vec2(p.x, p.y + 2.0*sin(uv.x*10.0-iTime*100 + cos(iTime*random(limit)) )+2.0*cos(uv.x*25.+iTime*random(limit)));
    sfunc.y *= uv.x*2.0+0.05;
    sfunc.y *= 2.0 - uv.x*2.0+0.05;
    sfunc.y /= 0.1; // Thickness fix

    vec3 c = vec3(abs(sfunc.y));
    c = pow(c, vec3(-0.5));
    c *= vec3(1,0.,0.);

    return vec4(c,1.0);
  }
  ]]

  plasLine:send('iResolution', {love.graphics.getWidth(), 100})
  plasLine:send('iTime', os.clock())
  can = love.graphics.newCanvas(love.graphics.getWidth(), 100)

  love.graphics.setCanvas(can)

  love.graphics.clear()
  love.graphics.setBlendMode("alpha")
  love.graphics.setShader(plasLine)
  love.graphics.rectangle('fill', 0, 0, love.graphics.getWidth(), 100)
  love.graphics.setShader()

  love.graphics.setCanvas()
end

function love.update(dt)
  plasLine:send('iTime', os.clock())
end

function love.draw()
  -- Simple rectangle version
  ---[[
  love.graphics.setShader(plasLine)
  love.graphics.rectangle('fill', 0, 50, love.graphics.getWidth(), 100)
  love.graphics.setShader()
  --]]

  -- Canvas version
  --[[
  love.graphics.draw(can, 0, love.graphics.getHeight()/2)
  --]]
end
